{{ if .Params.difficulty }}
<span class="control">
    <span class="tags has-addons">
        <span class="tag is-rounded">Difficulty Level</span>
        {{ $difficulty := lower .Params.Difficulty }}
        {{ if eq $difficulty "easy" }}
        <span class="tag is-success is-rounded">{{ .Params.Difficulty | humanize }}</span>
        {{ else if eq $difficulty "medium" }}
        <span class="tag is-warning is-rounded">{{ .Params.Difficulty | humanize }}</span>
        {{ else if eq $difficulty "hard" }}
        <span class="tag is-danger is-rounded">{{ .Params.Difficulty | humanize }}</span>
        {{ else }}
        <span class="tag is-primary is-rounded">{{ .Params.Difficulty | humanize }}</span>
        {{ end }}
    </span>
</span>
{{ end }}